#ifndef FREQREPLICATOR_H
#define FREQREPLICATOR_H

#include <QObject>

#include "device/DeviceBase.h"
#include "protocol/dto/FreqReplicatorStatusDto.h"

class FreqReplicator : public DeviceBase
{
    Q_OBJECT
public:
    explicit FreqReplicator(QObject *parent = nullptr);
    ~FreqReplicator();

    void frameParse(QList<QByteArray> frameList);

    void mockReceivData();
    void mockReceivCmdReply() {}

    void afterFrameParse(DeviceFrameBaseDto * frameDto);
    void afterCommandReply(DeviceFrameBaseDto * frameDto) {}
    void sendDataToSerial(QByteArray data) {}

signals:
    void sendDataToDraw(DeviceFrameBaseDto * frameData);

public slots:
    void dataReceivedHandler(QByteArray data);
    void dataBReceivedHandler(QByteArray data);
};

#endif // FREQREPLICATOR_H
